/* TS1637_clock1
 * 
 * Egyszerű óra egy DS3231 Real Time óra és egy
 * TM1637 négyjegyű 7-szegmens kijelző felhasználásával.
 * A DS3231 beállítása egy külön programmal (DS3231_set)
 * történik.
 * A programhoz felhasználtuk az Avishay Orpaz által
 * írt TM1637Display programkönyvtárat:
 * https://github.com/avishorp/TM1637 valamint 
 * Andrew Wickert DS3231 programkönyvtárát:
 * https://github.com/NorthernWidget/DS3231
 * 
 */
#include <TM1637Display.h>
#include <DS3231.h>
#include <Wire.h>
#define CLKPIN  9                           // TM1637 CLK láb D9-re
#define DIOPIN  8                           // TM1637 CLK láb D9-re

DS3231 Clock;                               // RTC példányosítása
TM1637Display display(CLKPIN, DIOPIN);      // 4-számjegyű kijelző példányosítása

void setup() {
  Wire.begin();                             // Az I2C illesztő inicializálása
  display.setBrightness(0x0F);              // a kijelző bekapcsolása max. fényerőn 
}

void loop() {
  bool h12, PM;
  int hh, mm;
  hh = Clock.getHour(h12, PM);              // Óra kiolvasása
  display.showNumberDecEx(hh,64,false,2,0); // Óra kijelzése kettősponttal
  mm = Clock.getMinute();                   // Percek kiolcvasása
  display.showNumberDec(mm,true,2,2);       // percek kijelzése bevezető nullával
  delay(1000);                              // 1 másodperc  várakozás
  display.showNumberDecEx(hh,0,false,2,0);  // kettőspont kioltás 
  delay(1000);                              // 1 másodperc várakozás
}
